Freeciv-3.2: tree_node Struct Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Fields
tree_node Struct Reference

## Data Fields

bool | is_dummy
Tech_type_id | tech
int | nrequire
struct tree_node ** | require
int | nprovide
struct tree_node ** | provide
int | order
int | layer
int | node_x
int | node_y
int | node_width
int | node_height
int | number

## Detailed Description

Definition at line 70 of file repodlgs.cpp.

## Field Documentation

## ◆ is_dummy

bool tree_node::is_dummy

Definition at line 71 of file repodlgs.cpp.

Referenced by add_dummy_nodes(), create_dummy_reqtree(), research_diagram::create_tooltip_help(), draw_reqtree(), find_tech_on_reqtree(), get_edge_type(), get_tech_on_reqtree(), node_color(), and node_rectangle_minimum_size().

## ◆ layer

int tree_node::layer

Definition at line 77 of file repodlgs.cpp.

Referenced by add_dummy_nodes(), barycentric_sort(), calculate_diagram_layout(), count_crossings(), improve(), longest_path(), max_provide_layer(), new_tree_node(), set_layers(), swap(), and symmetrize().

## ◆ node_height

int tree_node::node_height

Definition at line 78 of file repodlgs.cpp.

Referenced by calculate_diagram_layout(), research_diagram::create_tooltip_help(), draw_reqtree(), find_tech_on_reqtree(), get_tech_on_reqtree(), and symmetrize().

## ◆ node_width

int tree_node::node_width

Definition at line 78 of file repodlgs.cpp.

Referenced by calculate_diagram_layout(), research_diagram::create_tooltip_help(), draw_reqtree(), find_tech_on_reqtree(), and get_tech_on_reqtree().

## ◆ node_x

int tree_node::node_x

Definition at line 78 of file repodlgs.cpp.

Referenced by calculate_diagram_layout(), research_diagram::create_tooltip_help(), draw_reqtree(), find_tech_on_reqtree(), and get_tech_on_reqtree().

## ◆ node_y

int tree_node::node_y

Definition at line 78 of file repodlgs.cpp.

Referenced by calculate_diagram_layout(), research_diagram::create_tooltip_help(), draw_reqtree(), find_tech_on_reqtree(), get_tech_on_reqtree(), and symmetrize().

## ◆ nprovide

int tree_node::nprovide

Definition at line 75 of file repodlgs.cpp.

Referenced by add_dummy_nodes(), add_requirement(), count_crossings(), draw_reqtree(), max_provide_layer(), and new_tree_node().

## ◆ nrequire

int tree_node::nrequire

Definition at line 73 of file repodlgs.cpp.

Referenced by add_requirement(), barycentric_sort(), get_edge_type(), longest_path(), new_tree_node(), and symmetrize().

## ◆ number

int tree_node::number

Definition at line 79 of file repodlgs.cpp.

Referenced by add_dummy_nodes(), and calculate_diagram_layout().

## ◆ order

int tree_node::order

Definition at line 77 of file repodlgs.cpp.

Referenced by barycentric_sort(), count_crossings(), new_tree_node(), set_layers(), and swap().

## ◆ provide

struct tree_node ** tree_node::provide

Definition at line 76 of file repodlgs.cpp.

Referenced by add_dummy_nodes(), add_requirement(), count_crossings(), draw_reqtree(), get_edge_type(), max_provide_layer(), and new_tree_node().

## ◆ require

struct tree_node ** tree_node::require

Definition at line 74 of file repodlgs.cpp.

Referenced by add_requirement(), barycentric_sort(), get_edge_type(), longest_path(), new_tree_node(), and symmetrize().

## ◆ tech

Tech_type_id tree_node::tech

Definition at line 72 of file repodlgs.cpp.

Referenced by create_dummy_reqtree(), research_diagram::create_tooltip_help(), draw_reqtree(), find_tech_on_reqtree(), get_edge_type(), get_tech_on_reqtree(), node_color(), and node_rectangle_minimum_size().